<?php
session_start();
$currentBaseDir = dirname($_SERVER['PHP_SELF']);
include($_SESSION['basedir']."core.php");

$svaTool = new svaTool();


$errorCode = 0;

$password = NULL;
$confPasswd = NULL;
// Ajout de nouvel utilisateur
if (isset($_REQUEST['trunkName']) && strlen($_REQUEST['trunkName']) > 0)
    $trunkName = addslashes($_REQUEST['trunkName']);
else
    $errorCode = 1;
	
	
if (isset($_REQUEST['hostName']) &&  strlen($_REQUEST['hostName']) > 0 )
    $hostName = addslashes($_REQUEST['hostName']);
else
    $errorCode = 2;

if (isset($_REQUEST['port']) &&  is_numeric($_REQUEST['port']) && strlen($_REQUEST['port']) > 0 )
    $port = addslashes($_REQUEST['port']);
else
    $errorCode = 3;

if (isset($_REQUEST['password']) && strlen($_REQUEST['password']) > 0)
    $password = addslashes($_REQUEST['password']);
else
    $errorCode = 4;

$type = addslashes($_REQUEST['type']);

$Statut = addslashes($_REQUEST['Statut']);
$username = $_REQUEST['accountName'];





if ($errorCode == 0) {
$id = 0;

$res = $dba->UpdateAddSIPTrunk(0, $id, $trunkName,$hostName, $port, $type,$username, $password, 1, $Statut);

   //$errorCode = 10;
}




switch ($errorCode) {

    case 0 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"SIP TRUNK AJOUTE  AVEC SUCCES !\"  }"; 
        break;
    case 1 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'IDENTIFIANT DU TRUNK SIP EST INVALIDE.!\"  }";
        break;
    case 2 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE NOM D'HOTE EST INVALIDE!\"  }"; 
        break;
    case 3 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE PORT EST INVALIDE!\"  }"; 
        break;
    case 4 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE MOT DE PASSE EST INVALIDE.\"  }";
        break;
   /* case 5 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE LOGIN EST INVALIDE.\"  }"; 
        break;
    case 6 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'EMAIL EST INVALIDE.\"  }";
        break;
    /*case 7 : $msg =  "ERREUR ! LE MOT DE PASSE EST INVALIDE.";
        break;
    case 8 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE MOT DE PASSE DE CONFIRMATION EST INVALIDE .!\"  }"; 
        break;
    case 9 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LES MOTS DE PASSE NE CONCORDENT PAS.\"  }";
        break; */
    case 13 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! IMPOSSIBLE DE CREER LE COMPTE. VEUILLEZ RE-ESSAYER ULTERIEUREMENT!\"  }";  break;
	/*
		case 14 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LE PLAN TARIFAIRE ASSOCIE AU COMPTE !\"  }";   break; */
   
	 
}


echo $msg ;


?>